> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get context repository

> Get the context repository configuration for the current workspace.



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /context/repository
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /context/repository:
    get:
      tags:
        - Context - Repository
      summary: Get context repository
      description: Get the context repository configuration for the current workspace.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  repository:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      source:
                        oneOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: managed
                            required:
                              - kind
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: custom
                              connectorUuid:
                                type: string
                              repositoryOwner:
                                type: string
                              repositoryName:
                                type: string
                              defaultBranch:
                                type: string
                            required:
                              - kind
                              - connectorUuid
                              - repositoryOwner
                              - repositoryName
                              - defaultBranch
                            additionalProperties: false
                        type: object
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - uuid
                      - workspaceUuid
                      - source
                      - createdAt
                      - updatedAt
                    additionalProperties: false
                    title: Repository
                    description: The context repository configuration.
                required:
                  - repository
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````